API Reference

Stream events over SSE

Opens a read-only SSE stream using a bearer credential or one-time short-lived stream token. At least one workflow entitlement is required, requested workflow filters are narrowed to those entitlements, and the stream does not depend on or mutate execution state.

GET/v1/streams/events

Opens a read-only SSE stream using a bearer credential or one-time short-lived stream token. At least one workflow entitlement is required, requested workflow filters are narrowed to those entitlements, and the stream does not depend on or mutate execution state.

Authorization

AuthorizationBearer <token>

In: header

Query Parameters

event?string

Optional event type filter; repeat or comma-separate values.

workflow?string

Optional workflow filter.

executionId?string

Optional execution ID filter.

principalId?string

Optional event principal filter.

Response Body

text/event-stream

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/streams/events"
"string"